Clipform

Get form with all nodes

Returns the form details and all nodes in sequential order, including options and config.

GET
/forms/{formId}

Authorization

Authorization
Required
Bearer <token>

API key (cf_*) passed as Bearer token

In: header

Path Parameters

formId
Required
string
Format: "uuid"
curl -X GET "https://api.clipform.io/v1/forms/497f6eca-6276-4993-bfeb-53cbbbba6f08" \
  -H "Authorization: Bearer <token>"

Form details

{
  "form_id": "46af4ef5-2c18-4098-9bc5-c048fb90b843",
  "title": "string",
  "is_live": true,
  "nodes": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "type": "choice",
      "prompt": "string",
      "label": "string",
      "required": true,
      "config": {},
      "options": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "content": "string",
          "order": 0,
          "score": 0,
          "scores": {
            "property1": 0,
            "property2": 0
          }
        }
      ]
    }
  ]
}